require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")





function L加载配置()
	
	g常规设置.屏蔽不打的怪物=L常规配置("常规列表-通用设置-屏蔽不打的怪物")
	if	g常规设置.屏蔽不打的怪物==""	then 
		L屏蔽指定怪物(g屏蔽的怪物)
	else 
		L屏蔽指定怪物(g屏蔽的怪物..","..g常规设置.屏蔽不打的怪物)
	end



	g常规设置.剧情刷图=L常规配置("常规列表-练级设置-剧情刷图")


	g常规设置.仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-仓库页最大读取页数"))

	g常规设置.公会仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-公会仓库页最大读取页数"))
	g常规设置.进图等待时间=Ltonumber(L常规配置("常规列表-通用设置-进图等待时间"))
	

	g常规设置.购买知识卷轴=Ltonumber(L常规配置("常规列表-商店购物-购买知识卷轴"))
	if g常规设置.购买知识卷轴>80	then 
		g常规设置.购买知识卷轴=80
	end 


	g常规设置.商店赌博_购买部位=L常规配置("常规列表-商店购物-商店赌博_购买部位")
	g常规设置.商店赌博_金币大于=Ltonumber(L常规配置("常规列表-商店购物-商店赌博_金币大于(单位万)"))
	g常规设置.商店赌博_金币保留=Ltonumber(L常规配置("常规列表-商店购物-商店赌博_金币保留(单位万)"))


	g常规设置.不点丰碑=Ltonumber(L常规配置("常规列表-异界设置-不点丰碑"))

	g常规设置.地图不足时商店购买=Ltonumber(L常规配置("常规列表-异界设置-地图不足时商店购买"))


	g常规设置.自动镶嵌宝石=Ltonumber(L常规配置("常规列表-组合功能-自动镶嵌宝石"))

	L仓库页最大读取页数(g常规设置.仓库页最大读取页数)
	L公会仓库页最大读取页数(g常规设置.公会仓库页最大读取页数)


	L设置躲避负面状态("溺水")

	gErrOpenNpc= gErrOpenNpc or 0
end

L加载配置()
local 返回一次藏身处=1
local 使用一次Esc=1
while	To(200)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end

	if 地图Ptr.位置==0	 then
		L信息("返回城镇")
		L返回城镇()
	

	else 
		L信息("成功返回城镇...复位初始脚本...并暂停当前脚本等待下一步操作")
		L复位脚本()
		L脚本开关(0)


	end
::Next::
end

